gcc -o "donut" "donut.c" -lm

if [ $? -ne 0 ];
    echo "fuck da compiling failed fuuuck"
else
    echo "fixing perms"
    sudo chmod 755 /usr/share/customscripts/donut
    echo "Fixing ownership"
    sudo chown princesspi:princesspi
    echo "Cleaning up"
    sudo rm -f /usr/share/customscripts/donut
    echo "done!"
fi
